### Virtual Method

# Foundry FlatpakSerializable deserialize_property

#### Declaration [src]

    DexFuture*
    deserialize_property (
      FoundryFlatpakSerializable* self,
      const char* property_name,
      JsonNode* property_node
    )

#### Description

No description available.

#### Parameters

`property_name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`property_node`

  Type: `JsonNode`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

No description available.

The returned data is owned by the instance.